cURL
curl --request GET \
--url https://api.mudstack.com/workspaces/history \
--header 'Authorization: Bearer <token>' \
--header 'x-account-id: <x-account-id>' \
--header 'x-workspace-id: <x-workspace-id>'import requests
url = "https://api.mudstack.com/workspaces/history"
headers = {
"x-account-id": "<x-account-id>",
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-account-id': '<x-account-id>',
'x-workspace-id': '<x-workspace-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.mudstack.com/workspaces/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"workspace_id": "<string>",
"user_id": "<string>",
"type": "<string>",
"record_id": "<string>",
"data": {}
}
]History
Get history
Retrieve the history of a specific workspace.
GET
/
workspaces
/
history
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
A paginated list of workspace history entries
Unique identifier for the workspace history record.
Identifier of the workspace associated with this history record.
Identifier of the user who made the change.
Type of the history record.
Identifier of the record associated with this history entry.
Additional data related to the history record.
Was this page helpful?
⌘I